// this code is generated and should not be modified
package fpml5.confirmation;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class DividendConditions extends Concept {
   private boolean dividendReinvestment;
   private DividendEntitlementEnum dividendEntitlement;
   private DividendAmountTypeEnum dividendAmount;
   private DividendPeriodEnum dividendPeriod;
   private DividendAmountTypeEnum excessDividendAmount;
   private double numberOfIndexUnits;
   private double declaredCashDividendPercentage;
   private double declaredCashEquivalentDividendPercentage;
   private NonCashDividendTreatmentEnum nonCashDividendTreatment;
   private DividendCompositionEnum dividendComposition;
   private boolean specialDividends;
   public boolean getDividendReinvestment() {
      return this.dividendReinvestment;
   }
   public DividendEntitlementEnum getDividendEntitlement() {
      return this.dividendEntitlement;
   }
   public DividendAmountTypeEnum getDividendAmount() {
      return this.dividendAmount;
   }
   public DividendPeriodEnum getDividendPeriod() {
      return this.dividendPeriod;
   }
   public DividendAmountTypeEnum getExcessDividendAmount() {
      return this.excessDividendAmount;
   }
   public double getNumberOfIndexUnits() {
      return this.numberOfIndexUnits;
   }
   public double getDeclaredCashDividendPercentage() {
      return this.declaredCashDividendPercentage;
   }
   public double getDeclaredCashEquivalentDividendPercentage() {
      return this.declaredCashEquivalentDividendPercentage;
   }
   public NonCashDividendTreatmentEnum getNonCashDividendTreatment() {
      return this.nonCashDividendTreatment;
   }
   public DividendCompositionEnum getDividendComposition() {
      return this.dividendComposition;
   }
   public boolean getSpecialDividends() {
      return this.specialDividends;
   }
   public void setDividendReinvestment(boolean dividendReinvestment) {
      this.dividendReinvestment = dividendReinvestment;
   }
   public void setDividendEntitlement(DividendEntitlementEnum dividendEntitlement) {
      this.dividendEntitlement = dividendEntitlement;
   }
   public void setDividendAmount(DividendAmountTypeEnum dividendAmount) {
      this.dividendAmount = dividendAmount;
   }
   public void setDividendPeriod(DividendPeriodEnum dividendPeriod) {
      this.dividendPeriod = dividendPeriod;
   }
   public void setExcessDividendAmount(DividendAmountTypeEnum excessDividendAmount) {
      this.excessDividendAmount = excessDividendAmount;
   }
   public void setNumberOfIndexUnits(double numberOfIndexUnits) {
      this.numberOfIndexUnits = numberOfIndexUnits;
   }
   public void setDeclaredCashDividendPercentage(double declaredCashDividendPercentage) {
      this.declaredCashDividendPercentage = declaredCashDividendPercentage;
   }
   public void setDeclaredCashEquivalentDividendPercentage(double declaredCashEquivalentDividendPercentage) {
      this.declaredCashEquivalentDividendPercentage = declaredCashEquivalentDividendPercentage;
   }
   public void setNonCashDividendTreatment(NonCashDividendTreatmentEnum nonCashDividendTreatment) {
      this.nonCashDividendTreatment = nonCashDividendTreatment;
   }
   public void setDividendComposition(DividendCompositionEnum dividendComposition) {
      this.dividendComposition = dividendComposition;
   }
   public void setSpecialDividends(boolean specialDividends) {
      this.specialDividends = specialDividends;
   }
}
