// this code is generated and should not be modified
package fpml5.confirmation;

import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.*;

@JsonTypeInfo(use = JsonTypeInfo.Id.CLASS, property = "$class")
public class TradeProcessingTimestamps extends Concept {
   private java.util.Date orderEntered;
   private java.util.Date orderSubmitted;
   private java.util.Date publiclyReported;
   private java.util.Date publicReportAccepted;
   private java.util.Date publicReportUpdated;
   private java.util.Date nonpubliclyReported;
   private java.util.Date nonpublicReportAccepted;
   private java.util.Date nonpublicReportUpdated;
   private java.util.Date submittedForConfirmation;
   private java.util.Date updatedForConfirmation;
   private java.util.Date confirmed;
   private java.util.Date submittedForClearing;
   private java.util.Date updatedForClearing;
   private java.util.Date cleared;
   private java.util.Date allocationsSubmitted;
   private java.util.Date allocationsUpdated;
   private java.util.Date allocationsCompleted;
   public java.util.Date getOrderEntered() {
      return this.orderEntered;
   }
   public java.util.Date getOrderSubmitted() {
      return this.orderSubmitted;
   }
   public java.util.Date getPubliclyReported() {
      return this.publiclyReported;
   }
   public java.util.Date getPublicReportAccepted() {
      return this.publicReportAccepted;
   }
   public java.util.Date getPublicReportUpdated() {
      return this.publicReportUpdated;
   }
   public java.util.Date getNonpubliclyReported() {
      return this.nonpubliclyReported;
   }
   public java.util.Date getNonpublicReportAccepted() {
      return this.nonpublicReportAccepted;
   }
   public java.util.Date getNonpublicReportUpdated() {
      return this.nonpublicReportUpdated;
   }
   public java.util.Date getSubmittedForConfirmation() {
      return this.submittedForConfirmation;
   }
   public java.util.Date getUpdatedForConfirmation() {
      return this.updatedForConfirmation;
   }
   public java.util.Date getConfirmed() {
      return this.confirmed;
   }
   public java.util.Date getSubmittedForClearing() {
      return this.submittedForClearing;
   }
   public java.util.Date getUpdatedForClearing() {
      return this.updatedForClearing;
   }
   public java.util.Date getCleared() {
      return this.cleared;
   }
   public java.util.Date getAllocationsSubmitted() {
      return this.allocationsSubmitted;
   }
   public java.util.Date getAllocationsUpdated() {
      return this.allocationsUpdated;
   }
   public java.util.Date getAllocationsCompleted() {
      return this.allocationsCompleted;
   }
   public void setOrderEntered(java.util.Date orderEntered) {
      this.orderEntered = orderEntered;
   }
   public void setOrderSubmitted(java.util.Date orderSubmitted) {
      this.orderSubmitted = orderSubmitted;
   }
   public void setPubliclyReported(java.util.Date publiclyReported) {
      this.publiclyReported = publiclyReported;
   }
   public void setPublicReportAccepted(java.util.Date publicReportAccepted) {
      this.publicReportAccepted = publicReportAccepted;
   }
   public void setPublicReportUpdated(java.util.Date publicReportUpdated) {
      this.publicReportUpdated = publicReportUpdated;
   }
   public void setNonpubliclyReported(java.util.Date nonpubliclyReported) {
      this.nonpubliclyReported = nonpubliclyReported;
   }
   public void setNonpublicReportAccepted(java.util.Date nonpublicReportAccepted) {
      this.nonpublicReportAccepted = nonpublicReportAccepted;
   }
   public void setNonpublicReportUpdated(java.util.Date nonpublicReportUpdated) {
      this.nonpublicReportUpdated = nonpublicReportUpdated;
   }
   public void setSubmittedForConfirmation(java.util.Date submittedForConfirmation) {
      this.submittedForConfirmation = submittedForConfirmation;
   }
   public void setUpdatedForConfirmation(java.util.Date updatedForConfirmation) {
      this.updatedForConfirmation = updatedForConfirmation;
   }
   public void setConfirmed(java.util.Date confirmed) {
      this.confirmed = confirmed;
   }
   public void setSubmittedForClearing(java.util.Date submittedForClearing) {
      this.submittedForClearing = submittedForClearing;
   }
   public void setUpdatedForClearing(java.util.Date updatedForClearing) {
      this.updatedForClearing = updatedForClearing;
   }
   public void setCleared(java.util.Date cleared) {
      this.cleared = cleared;
   }
   public void setAllocationsSubmitted(java.util.Date allocationsSubmitted) {
      this.allocationsSubmitted = allocationsSubmitted;
   }
   public void setAllocationsUpdated(java.util.Date allocationsUpdated) {
      this.allocationsUpdated = allocationsUpdated;
   }
   public void setAllocationsCompleted(java.util.Date allocationsCompleted) {
      this.allocationsCompleted = allocationsCompleted;
   }
}
